

new Vue({
    // TypeScript compiler complains about Vue because the CDN link to Vue is in the html file.
    // Before the application runs this TypeScript file will be compiled into bundle.js
    // which is included at the bottom of the html file.
    el: "#app",
    data: {
        word : "",
        words: new Array<string>(),
        showWords : false
    },
    methods: {
        save() {
            console.log("Save " + this.word);
            this.words.push(this.word);
            this.word="";
            this.showWords = false;
        },
        show(){
            console.log("Show " + this.words);
            this.showWords = true;
        },
        clear(){
            console.log("Clear ");
            this.words.length = 0;
            this.showWords = false;
        }
    },
    computed: {
        isEmpty: function(){
            if(this.words.length==0) return true;
            return false;
        }
    }
})